classification
Title: Document effects of PY_SSIZE_T_CLEAN on argument parsing
Type: Stage:
Components: Documentation Versions: Python 2.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: asmodai, bwelling, georg.brandl, loewis
Priority: high Keywords:

Created on 2007-06-01 23:51 by bwelling, last changed 2009-04-25 11:39 by loewis. This issue is now closed.

Messages (4)
msg32175 - (view) Author: Brian Wellington (bwelling) Date: 2007-06-01 23:51
The "Parsing arguments and building values" section of the Python/C API Reference Manual describes the "s#" format unit as requiring a [const char *, int].  This should presumably be a Py_ssize_t, as that's what the code appears to expect.

The same problem also occurs elsewhere in this page; pretty much everywhere the # format modifier is described.

I'm seeing this in both the 2.5.1 and development versions of the docs on docs.python.org.
msg32176 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-06-02 07:27
It's more complicated than that, see PEP 353: It's Py_ssize_t if the module defines PY_SSIZE_T_CLEAN, else it's int. Would you like to work on a patch fixing the documentation?
msg86449 - (view) Author: Jeroen Ruigrok van der Werven (asmodai) * (Python committer) Date: 2009-04-25 10:16
This seems to be present in c-api/arg.rst in trunk already.
Candidate for closure after verifying it's been merged appropriately?
msg86477 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-04-25 11:39
Closing as suggested
History
Date User Action Args
2009-04-25 11:39:46loewissetstatus: open -> closed
resolution: fixed
messages: + msg86477
2009-04-25 10:16:41asmodaisetnosy: + asmodai
messages: + msg86449
2009-01-18 13:26:39georg.brandlsetpriority: normal -> high
assignee: georg.brandl
title: missing int->Py_ssize_t in documentation -> Document effects of PY_SSIZE_T_CLEAN on argument parsing
nosy: + georg.brandl
2009-01-18 13:26:28georg.brandllinkissue4980 superseder
2007-06-01 23:51:25bwellingcreate